Bug 430922 - gnome-settings-daemon doesn't start (org.gnome.SettingsDaemon.service is Wrong?)
gnome-settings-daemon doesn't start (org.gnome.SettingsDaemon.service is Wrong?)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 12:10 EST by sangu
Modified: 2008-02-01 09:03 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.21.90.1-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 09:03:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
session error dialog (24.38 KB, image/png)
2008-01-30 12:10 EST, sangu
no flags Details

  None (edit)
Description sangu 2008-01-30 12:10:23 EST
Description of problem:
When gnome-session starts, gnome-setting-daemon doesn't launch.

$ cat /usr/share/dbus-1/services/org.gnome.SettingsDaemon.service 
[D-BUS Service]
Name=org.gnome.SettingsDaemon
Exec=/usr/libexec/gnome-settings-daemon/gnome-settings-daemon

org.gnome.SettingsDaemon.service is Wrong?

Version-Release number of selected component (if applicable):
2.21.90.1-1.fc9

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
org.gnome.SettingsDaemon.service in gnome-settings-daemon-2.21.5.2-2.fc9.i386
[D-BUS Service]
Name=org.gnome.SettingsDaemon
Exec=/usr/libexec/gnome-settings-daemon
Comment 1 sangu 2008-01-30 12:10:23 EST
Created attachment 293451 [details]
session error dialog
Comment 2 Michal Jaegermann 2008-01-30 15:37:13 EST
The error message which shows up on an alert is somewhat confused:

"The last error message was:

Failed to execute program
/usr/libexec/gnome-settings-daemon/gnome-settings-daemon: Success"

Is this a typo in an alert or we see an attempt of executing
a non-existing program
/usr/libexec/gnome-settings-daemon/gnome-settings-daemon
and why this is "Success"???

In any case - reverting to gnome-settings-daemon-2.21.5.2-2.fc9,
which is still possible, clears that issue.
Comment 3 Bastien Nocera 2008-01-31 06:06:11 EST
Please test with gnome-settings-daemon-2.21.90.1-2
Comment 4 sangu 2008-02-01 09:03:20 EST
Fixed in 2.21.90.1-2.fc9!

Thanks.

Note You need to log in before you can comment on or make changes to this bug.